Glue

I've just tried enabling Web Services integration using Glue 4.0b2 (with IDEA 3.0.1 Build 688) but when I try I get a "path to ... is not a valid path to a Glue..." even when I set the path to the root of my Glue path.

Is this a known problem and/or is specific to these versions of the software?

4 comments

We are in a process of supporting Glue 4.0. The integration works for Glue
3.x only for now.

Eugene


"Malcolm Robbins" <mrobbins@paradise.net.nz> wrote in message
news:1143493.1044448676785.JavaMail.javamailuser@localhost...

I've just tried enabling Web Services integration using Glue 4.0b2 (with

IDEA 3.0.1 Build 688) but when I try I get a "path to ... is not a valid
path to a Glue..." even when I set the path to the root of my Glue path.
>

Is this a known problem and/or is specific to these versions of the

software?


0

The newest build supports GLUE 4.0.

David


"Malcolm Robbins" <mrobbins@paradise.net.nz> wrote in message
news:1143493.1044448676785.JavaMail.javamailuser@localhost...

I've just tried enabling Web Services integration using Glue 4.0b2 (with

IDEA 3.0.1 Build 688) but when I try I get a "path to ... is not a valid
path to a Glue..." even when I set the path to the root of my Glue path.
>

Is this a known problem and/or is specific to these versions of the

software?


0

Great, I have it working now. Has anyone written a quick guide (a little more than the IDEA doc) to getting started with Web Services with GLUE with IDEA?

0

Once you've got GLUE configured within IDEA, suggest you take a look in the GLUE docs. I found what I was looking for in "Invoking Web Services -> Binding and Invoking"

You will find a class "Invoke1" which uses a web service to perform currency conversion. Here is how to get it working:-

1. Create the "web reference" using IDEA's Web Services tool (by pointing it at the correct WSDL file)
2. Compile the generated files (right-click on the web service and select Compile all files)
3. Cut'n'paste the "Invoke1" class from the GLUE docs, creating a new class in IDEA
4. Run it!

You will need to add the following JARs to your project classpath (all can be found in GLUE's lib directory)

dom.jar
jnet.jar
jsse.jar (not essential; prevents a GLUE warning)

Regards,
Graham

0

Please sign in to leave a comment.